/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_MUNI                                                     */
/* Tabela : MUNICIPIO                                                         */
/*                                                                            */
/* Criao:                                                                   */
/* 22/06/2001 - Newton Neves dos Santos                                       */
/*                                                                            */
/******************************************************************************/


CREATE OR REPLACE TRIGGER DTULTATU_MUNI
BEFORE INSERT OR UPDATE OR DELETE
ON MUNICIPIO FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUMUNI := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDPAIS,0)      <> NVL(:NEW.CDPAIS,0))      OR
         (NVL(:OLD.SGESTADO,0)    <> NVL(:NEW.SGESTADO,0))    OR
         (NVL(:OLD.CDMUNICIPIO,0) <> NVL(:NEW.CDMUNICIPIO,0)) OR
         (NVL(:OLD.NMMUNICIPIO,0) <> NVL(:NEW.NMMUNICIPIO,0)) OR
         (NVL(:OLD.CDREGIAO,0)    <> NVL(:NEW.CDREGIAO,0))    OR
         (NVL(:OLD.CDMUNICIBGE,0) <> NVL(:NEW.CDMUNICIBGE,0)) OR
         (NVL(:OLD.CDMUNIEXPO,0)  <> NVL(:NEW.CDMUNIEXPO,0)) THEN
         :NEW.DTULTATUMUNI := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('MUNICIPIO', '', 'CDPAIS='||:OLD.CDPAIS||';SGESTADO='||:OLD.SGESTADO||';CDMUNICIPIO='||:OLD.CDMUNICIPIO||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE MUNICIPIO MODIFY DTULTATUMUNI DEFAULT SYSDATE
/
